rte_pdcp_up_ctrl_pdu_hdr(3)

NAME
rte_pdcp_up_ctrl_pdu_hdr

SYNOPSIS

#include <rte_pdcp_hdr.h>

  Data Fields

uint8_t r: 4
uint8_t pdu_type: 3
uint8_t d_c: 1
rte_be32_t fmc
uint8_t bitmap []

Detailed Description

6.2.3.1 Control PDU for PDCP status report

Definition at line 109 of file rte_pdcp_hdr.h.

Field Documentation

  uint8_t r
Reserved

Definition at line 111 of file rte_pdcp_hdr.h.

  uint8_t pdu_type
Control PDU type

Definition at line 112 of file rte_pdcp_hdr.h.

  uint8_t d_c
D/C bit

Definition at line 113 of file rte_pdcp_hdr.h.

  rte_be32_t fmc
6.3.9 FMC

First Missing COUNT. This field indicates the COUNT value of the first missing PDCP SDU within the reordering window, i.e. RX_DELIV.

Definition at line 125 of file rte_pdcp_hdr.h.

  uint8_t bitmap[]
6.3.10 Bitmap

Length: Variable. The length of the bitmap field can be 0.

This field indicates which SDUs are missing and which SDUs are correctly received in the receiving PDCP entity. The bit position of Nth bit in the Bitmap is N, i.e., the bit position of the first bit in the Bitmap is 1.

Definition at line 136 of file rte_pdcp_hdr.h.

Author

Generated automatically by Doxygen for DPDK from the source code.